Bug 886759 - Enhancement to add systemctl and configuration example files
Summary: Enhancement to add systemctl and configuration example files
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: rsync
Version: 18
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Michal Luscon
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-13 03:53 UTC by David Highley
Modified: 2013-04-12 15:17 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-12 15:17:42 UTC
Type: Bug


Attachments (Terms of Use)
zip of configuration files (3.17 KB, application/zip)
2012-12-13 03:53 UTC, David Highley
no flags Details

Description David Highley 2012-12-13 03:53:51 UTC
Created attachment 662749 [details]
zip of configuration files

Description of problem:
System V init and xinetd are being deprecated so we need new configuration files for systemctl and examples for configuration.

Version-Release number of selected component (if applicable):
rsync-3.0.9-5.fc18.x86_64.rpm

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Overview of steps to integrate rsyncd into current Fedora distribution.

Create configuration for rsyncd server.
- mkdir /etc/rsyncd
- touch /etc/rsyncd.motd
- touch /etc/rsyncd.secrets
- edit /etc/rsyncd.conf

In the directory /lib/systemd/system create two files.
- rsyncd@.service
- rsyncd.socket

Reload systemd daemon, enable and start the service.
- systemctl --system daemon-reload
- systemctl enable rsyncd.socket
- systemctl start rsyncd.socket

Create cron tasks
- backups; script
- crontab

Create a logrotate.d file to rotate and clean up log files.

Attached are all the files currently being used on a Fedora 17 system.

Comment 1 Michal Luscon 2013-01-31 13:54:32 UTC
Fedora rawhide already contains rsyncd service and also rsyncd.conf. Any ideas for improvement are highly welcomed.

Provided logrotate, backup and crontab files fit more into documentation examples than real configurations. I will consider their inclusion into next rsync update.

Thank you for your report.


Note You need to log in before you can comment on or make changes to this bug.